# Class TCefCustomStreamReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFCustomStreamReader

## Declaration

`type TCefCustomStreamReader = class(TCefBaseRefCountedOwn, ICefCustomStreamReader)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefCustomStreamReader

## Overview

### Fields

| `FStream: TStream;`
| `FOwned: Boolean;`

### Methods

| `function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;`
| `function Seek(offset: Int64; whence: Integer): Integer; virtual;`
| `function Tell: Int64; virtual;`
| `function Eof: Boolean; virtual;`
| `function MayBlock: Boolean; virtual;`
| `constructor Create(Stream: TStream; Owned: Boolean); overload; virtual;`
| `constructor Create(const filename: string); overload; virtual;`
| `destructor Destroy; override;`

## Description

### Fields

| `FStream: TStream;`
This item has no description.

| `FOwned: Boolean;`
This item has no description.

### Methods

| `function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;`
This item has no description. Showing description inherited from ICefCustomStreamReader.Read. Read raw binary data.

| `function Seek(offset: Int64; whence: Integer): Integer; virtual;`
This item has no description. Showing description inherited from ICefCustomStreamReader.Seek. Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

| `function Tell: Int64; virtual;`
This item has no description. Showing description inherited from ICefCustomStreamReader.Tell. Return the current offset position.

| `function Eof: Boolean; virtual;`
This item has no description. Showing description inherited from ICefCustomStreamReader.Eof. Return non-zero if at end of file.

| `function MayBlock: Boolean; virtual;`
This item has no description. Showing description inherited from ICefCustomStreamReader.MayBlock. Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

| `constructor Create(Stream: TStream; Owned: Boolean); overload; virtual;`
This item has no description.

| `constructor Create(const filename: string); overload; virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.